package ar.edu.unju.fi.poo.mavenJUnit5.manager;

import java.util.ArrayList;
import java.util.List;

import ar.edu.unju.fi.poo.mavenJUnit5.dominio.Alumno;

public class AlumnoManager {
	private List<Alumno> listaAlumnos;
	
	public AlumnoManager(){
		listaAlumnos = new ArrayList<Alumno>();
	}
	
	public void agregarAlumno(Alumno alumno){
		listaAlumnos.add(alumno);		
	}
	
	public void eliminarAlumno(Alumno alumno){
		listaAlumnos.remove(alumno);
	}
	
	/**
	 * Busqueda de alumnos por nombre
	 * @param nombre
	 * @return
	 */
	public Alumno buscar(String nombre) {
		for(Alumno alumno: listaAlumnos) {
			if(alumno.getNombre().equalsIgnoreCase(nombre))
				return alumno;
		}
		return null;
	}
	
	public List<Alumno> listarActivos() {
		List<Alumno> resultado = new ArrayList<Alumno>();
		
		for(Alumno alumno: listaAlumnos) {
			if(alumno.getEstado())
				resultado.add(alumno);
		}
		return resultado;
	}
	
}
